local traits = require("traits")
local object = require("object")

traits.allowedTraits("sample trait 1","sample trait 2",{"sampleThree","sample4"})

-- object 'traits' are strings that you can "assign" to
-- objects, and check elsewhere in your code if a particular
-- object has a particular trait.  If you have a trait "tank",
-- assigning the "tank" trait to a unit type is like
-- adding that unit type to the list of "tank"s,
-- and you can access that list with the traits module.
--
-- To prevent typos, you can only use trait strings that have
-- been registered by traits.allowedTraits.  The functions
-- traits.allowedTraits and traits.assign can take any number
-- of arguments, and you can also supply traits within tables
-- if that makes sense.

-- Unit Type Traits

traits.assign(object.uSettlers,"sample trait 1")
traits.assign(object.uEngineers,"sample trait 1")
traits.assign(object.uWarriors,"sample trait 1")
traits.assign(object.uPhalanx,"sample trait 1")
traits.assign(object.uArchers,"sample trait 1")
traits.assign(object.uLegion,"sample trait 1")
traits.assign(object.uPikemen,"sample trait 1")
traits.assign(object.uMusketeers,"sample trait 1")
traits.assign(object.uFanatics,"sample trait 1")
traits.assign(object.uPartisans,"sample trait 1")
traits.assign(object.uAlpineTroops,"sample trait 1")
traits.assign(object.uRiflemen,"sample trait 1")
traits.assign(object.uMarines,"sample trait 1")
traits.assign(object.uParatroopers,"sample trait 1")
traits.assign(object.uMechInf,"sample trait 1")
traits.assign(object.uHorsemen,"sample trait 1")
traits.assign(object.uChariot,"sample trait 1")
traits.assign(object.uElephant,"sample trait 1")
traits.assign(object.uCrusaders,"sample trait 1")
traits.assign(object.uKnights,"sample trait 1")
traits.assign(object.uDragoons,"sample trait 1")
traits.assign(object.uCavalry,"sample trait 1")
traits.assign(object.uArmor,"sample trait 1")
traits.assign(object.uCatapult,"sample trait 1")
traits.assign(object.uCannon,"sample trait 1")
traits.assign(object.uArtillery,"sample trait 1")
traits.assign(object.uHowitzer,"sample trait 1")
traits.assign(object.uFighter,"sample trait 1")
traits.assign(object.uBomber,"sample trait 1")
traits.assign(object.uHelicopter,"sample trait 1")
traits.assign(object.uStlthFtr,"sample trait 1")
traits.assign(object.uStlthBmbr,"sample trait 1")
traits.assign(object.uTrireme,"sample trait 1")
traits.assign(object.uCaravel,"sample trait 1")
traits.assign(object.uGalleon,"sample trait 1")
traits.assign(object.uFrigate,"sample trait 1")
traits.assign(object.uIronclad,"sample trait 1")
traits.assign(object.uDestroyer,"sample trait 1")
traits.assign(object.uCruiser,"sample trait 1")
traits.assign(object.uAegisCruiser,"sample trait 1")
traits.assign(object.uBattleship,"sample trait 1")
traits.assign(object.uSubmarine,"sample trait 1")
traits.assign(object.uCarrier,"sample trait 1")
traits.assign(object.uTransport,"sample trait 1")
traits.assign(object.uCruiseMsl,"sample trait 1")
traits.assign(object.uNuclearMsl,"sample trait 1")
traits.assign(object.uDiplomat,"sample trait 1")
traits.assign(object.uSpy,"sample trait 1")
traits.assign(object.uCaravan,"sample trait 1")
traits.assign(object.uFreight,"sample trait 1")
traits.assign(object.uExplorer,"sample trait 1")
traits.assign(object.uModernArmor,"sample trait 1")
traits.assign(object.uFlakCanon,"sample trait 1")
traits.assign(object.uExtraAir,"sample trait 1")
traits.assign(object.unotuseda,"sample trait 1")
traits.assign(object.unotusedb,"sample trait 1")
traits.assign(object.unotusedc,"sample trait 1")
traits.assign(object.unotusedd,"sample trait 1")
traits.assign(object.unotusede,"sample trait 1")
traits.assign(object.unotusedf,"sample trait 1")
traits.assign(object.unotusedg,"sample trait 1")
traits.assign(object.unotusedh,"sample trait 1")
traits.assign(object.unotusedi,"sample trait 1")
traits.assign(object.unotusedj,"sample trait 1")
traits.assign(object.unotusedk,"sample trait 1")
traits.assign(object.unotusedl,"sample trait 1")
traits.assign(object.unotusedm,"sample trait 1")
traits.assign(object.unotusedn,"sample trait 1")
traits.assign(object.unotusedo,"sample trait 1")
traits.assign(object.unotusedp,"sample trait 1")
traits.assign(object.unotusedq,"sample trait 1")
traits.assign(object.unotusedr,"sample trait 1")
traits.assign(object.unotuseds,"sample trait 1")
traits.assign(object.unotusedt,"sample trait 1")
traits.assign(object.unotusedu,"sample trait 1")
traits.assign(object.unotusedv,"sample trait 1")
traits.assign(object.unotusedw,"sample trait 1")
traits.assign(object.unotusedx,"sample trait 1")
traits.assign(object.unotusedy,"sample trait 1")
traits.assign(object.unotusedz,"sample trait 1")

-- Tribe Traits

traits.assign(object.pBarbarians,"sample trait 1")
traits.assign(object.pRomans,"sample trait 1")
traits.assign(object.pCarthaginians,"sample trait 1")
traits.assign(object.pMacedonianGreeks,"sample trait 1")
traits.assign(object.pPtolemaicGreeks,"sample trait 1")
traits.assign(object.pSeleucidGreeks,"sample trait 1")
traits.assign(object.pIndGreeksandAllies,"sample trait 1")
traits.assign(object.pCelts,"sample trait 1")

-- Tech Traits

traits.assign(object.aAdvancedFlight,"sample trait 1")
traits.assign(object.aAlphabet,"sample trait 1")
traits.assign(object.aAmphibiousWarfare,"sample trait 1")
traits.assign(object.aAstronomy,"sample trait 1")
traits.assign(object.aAtomicTheory,"sample trait 1")
traits.assign(object.aAutomobile,"sample trait 1")
traits.assign(object.aBanking,"sample trait 1")
traits.assign(object.aBridgeBuilding,"sample trait 1")
traits.assign(object.aBronzeWorking,"sample trait 1")
traits.assign(object.aCeremonialBurial,"sample trait 1")
traits.assign(object.aChemistry,"sample trait 1")
traits.assign(object.aChivalry,"sample trait 1")
traits.assign(object.aCodeofLaws,"sample trait 1")
traits.assign(object.aCombinedArms,"sample trait 1")
traits.assign(object.aCombustion,"sample trait 1")
traits.assign(object.aCommunism,"sample trait 1")
traits.assign(object.aComputers,"sample trait 1")
traits.assign(object.aConscription,"sample trait 1")
traits.assign(object.aConstruction,"sample trait 1")
traits.assign(object.aCorporation,"sample trait 1")
traits.assign(object.aCurrency,"sample trait 1")
traits.assign(object.aDemocracy,"sample trait 1")
traits.assign(object.aEconomics,"sample trait 1")
traits.assign(object.aElectricity,"sample trait 1")
traits.assign(object.aElectronics,"sample trait 1")
traits.assign(object.aEngineering,"sample trait 1")
traits.assign(object.aEnvironmentalism,"sample trait 1")
traits.assign(object.aEspionage,"sample trait 1")
traits.assign(object.aExplosives,"sample trait 1")
traits.assign(object.aFeudalism,"sample trait 1")
traits.assign(object.aFlight,"sample trait 1")
traits.assign(object.aFundamentalism,"sample trait 1")
traits.assign(object.aFusionPower,"sample trait 1")
traits.assign(object.aGeneticEngineering,"sample trait 1")
traits.assign(object.aGuerrillaWarfare,"sample trait 1")
traits.assign(object.aGunpowder,"sample trait 1")
traits.assign(object.aHorsebackRiding,"sample trait 1")
traits.assign(object.aIndustrialization,"sample trait 1")
traits.assign(object.aInvention,"sample trait 1")
traits.assign(object.aIronWorking,"sample trait 1")
traits.assign(object.aLaborUnion,"sample trait 1")
traits.assign(object.aLaser,"sample trait 1")
traits.assign(object.aLeadership,"sample trait 1")
traits.assign(object.aLiteracy,"sample trait 1")
traits.assign(object.aMachineTools,"sample trait 1")
traits.assign(object.aMagnetism,"sample trait 1")
traits.assign(object.aMapMaking,"sample trait 1")
traits.assign(object.aMasonry,"sample trait 1")
traits.assign(object.aMassProduction,"sample trait 1")
traits.assign(object.aMathematics,"sample trait 1")
traits.assign(object.aMedicine,"sample trait 1")
traits.assign(object.aMetallurgy,"sample trait 1")
traits.assign(object.aMiniaturization,"sample trait 1")
traits.assign(object.aMobileWarfare,"sample trait 1")
traits.assign(object.aMonarchy,"sample trait 1")
traits.assign(object.aMonotheism,"sample trait 1")
traits.assign(object.aMysticism,"sample trait 1")
traits.assign(object.aNavigation,"sample trait 1")
traits.assign(object.aNuclearFission,"sample trait 1")
traits.assign(object.aNuclearPower,"sample trait 1")
traits.assign(object.aPhilosophy,"sample trait 1")
traits.assign(object.aPhysics,"sample trait 1")
traits.assign(object.aPlastics,"sample trait 1")
traits.assign(object.aPlumbing,"sample trait 1")
traits.assign(object.aPolytheism,"sample trait 1")
traits.assign(object.aPottery,"sample trait 1")
traits.assign(object.aRadio,"sample trait 1")
traits.assign(object.aRailroad,"sample trait 1")
traits.assign(object.aRecycling,"sample trait 1")
traits.assign(object.aRefining,"sample trait 1")
traits.assign(object.aRefrigeration,"sample trait 1")
traits.assign(object.aRepublic,"sample trait 1")
traits.assign(object.aRobotics,"sample trait 1")
traits.assign(object.aRocketry,"sample trait 1")
traits.assign(object.aSanitation,"sample trait 1")
traits.assign(object.aSeafaring,"sample trait 1")
traits.assign(object.aSpaceFlight,"sample trait 1")
traits.assign(object.aStealth,"sample trait 1")
traits.assign(object.aSteamEngine,"sample trait 1")
traits.assign(object.aSteel,"sample trait 1")
traits.assign(object.aSuperconductor,"sample trait 1")
traits.assign(object.aTactics,"sample trait 1")
traits.assign(object.aTheology,"sample trait 1")
traits.assign(object.aTheoryofGravity,"sample trait 1")
traits.assign(object.aTrade,"sample trait 1")
traits.assign(object.aUniversity,"sample trait 1")
traits.assign(object.aWarriorCode,"sample trait 1")
traits.assign(object.aWheel,"sample trait 1")
traits.assign(object.aWriting,"sample trait 1")
traits.assign(object.aFutureTechnology,"sample trait 1")
traits.assign(object.aUserDefTechA,"sample trait 1")
traits.assign(object.aUserDefTechB,"sample trait 1")
traits.assign(object.aUserDefTechC,"sample trait 1")
traits.assign(object.aExtraAdvance1,"sample trait 1")
traits.assign(object.aExtraAdvance2,"sample trait 1")
traits.assign(object.aExtraAdvance3,"sample trait 1")
traits.assign(object.aExtraAdvance4,"sample trait 1")
traits.assign(object.aExtraAdvance5,"sample trait 1")
traits.assign(object.aExtraAdvance6,"sample trait 1")
traits.assign(object.aExtraAdvance7,"sample trait 1")

-- Improvement Traits

traits.assign(object.iNothing,"sample trait 1")
traits.assign(object.iPalace,"sample trait 1")
traits.assign(object.iBarracks,"sample trait 1")
traits.assign(object.iGranary,"sample trait 1")
traits.assign(object.iTemple,"sample trait 1")
traits.assign(object.iMarketPlace,"sample trait 1")
traits.assign(object.iLibrary,"sample trait 1")
traits.assign(object.iCourthouse,"sample trait 1")
traits.assign(object.iCityWalls,"sample trait 1")
traits.assign(object.iAqueduct,"sample trait 1")
traits.assign(object.iBank,"sample trait 1")
traits.assign(object.iCathedral,"sample trait 1")
traits.assign(object.iUniversity,"sample trait 1")
traits.assign(object.iMassTransit,"sample trait 1")
traits.assign(object.iColosseum,"sample trait 1")
traits.assign(object.iFactory,"sample trait 1")
traits.assign(object.iManufacturingPlant,"sample trait 1")
traits.assign(object.iSDIDefense,"sample trait 1")
traits.assign(object.iRecyclingCenter,"sample trait 1")
traits.assign(object.iPowerPlant,"sample trait 1")
traits.assign(object.iHydroPlant,"sample trait 1")
traits.assign(object.iNuclearPlant,"sample trait 1")
traits.assign(object.iStockExchange,"sample trait 1")
traits.assign(object.iSewerSystem,"sample trait 1")
traits.assign(object.iSupermarket,"sample trait 1")
traits.assign(object.iSuperhighways,"sample trait 1")
traits.assign(object.iResearchLab,"sample trait 1")
traits.assign(object.iSAMBattery,"sample trait 1")
traits.assign(object.iCoastalFortress,"sample trait 1")
traits.assign(object.iSolarPlant,"sample trait 1")
traits.assign(object.iHarbor,"sample trait 1")
traits.assign(object.iOffshorePlatform,"sample trait 1")
traits.assign(object.iAirport,"sample trait 1")
traits.assign(object.iPoliceStation,"sample trait 1")
traits.assign(object.iPortFacility,"sample trait 1")
traits.assign(object.iTransporter,"sample trait 1")

-- Wonder Traits

traits.assign(object.wPyramids,"sample trait 1")
traits.assign(object.wHangingGardens,"sample trait 1")
traits.assign(object.wColossus,"sample trait 1")
traits.assign(object.wLighthouse,"sample trait 1")
traits.assign(object.wGreatLibrary,"sample trait 1")
traits.assign(object.wOracle,"sample trait 1")
traits.assign(object.wGreatWall,"sample trait 1")
traits.assign(object.wSunTzusWarAcademy,"sample trait 1")
traits.assign(object.wKingRichardsCrusade,"sample trait 1")
traits.assign(object.wMarcoPolosEmbassy,"sample trait 1")
traits.assign(object.wMichelangelosChapel,"sample trait 1")
traits.assign(object.wCopernicusObservatory,"sample trait 1")
traits.assign(object.wMagellansExpedition,"sample trait 1")
traits.assign(object.wShakespearesTheater,"sample trait 1")
traits.assign(object.wLeonardosWorkshop,"sample trait 1")
traits.assign(object.wJSBachsCathedral,"sample trait 1")
traits.assign(object.wIsaacNewtonsCollege,"sample trait 1")
traits.assign(object.wAdamSmithsTradingCo,"sample trait 1")
traits.assign(object.wDarwinsVoyage,"sample trait 1")
traits.assign(object.wStatueofLiberty,"sample trait 1")
traits.assign(object.wEiffelTower,"sample trait 1")
traits.assign(object.wWomensSuffrage,"sample trait 1")
traits.assign(object.wHooverDam,"sample trait 1")
traits.assign(object.wManhattanProject,"sample trait 1")
traits.assign(object.wUnitedNations,"sample trait 1")
traits.assign(object.wApolloProgram,"sample trait 1")
traits.assign(object.wSETIProgram,"sample trait 1")
traits.assign(object.wCureforCancer,"sample trait 1")

-- Base Terrain Traits

traits.assign(object.bDesert,"sample trait 1")
traits.assign(object.bPlains,"sample trait 1")
traits.assign(object.bGrassland,"sample trait 1")
traits.assign(object.bForest,"sample trait 1")
traits.assign(object.bHills,"sample trait 1")
traits.assign(object.bMountains,"sample trait 1")
traits.assign(object.bTundra,"sample trait 1")
traits.assign(object.bGlacier,"sample trait 1")
traits.assign(object.bSwamp,"sample trait 1")
traits.assign(object.bJungle,"sample trait 1")
traits.assign(object.bOcean,"sample trait 1")

-- Terrain Traits

traits.assign(object.tDesert,"sample trait 1")
traits.assign(object.tOasis,"sample trait 1")
traits.assign(object.tDesertOil,"sample trait 1")
traits.assign(object.tPlains,"sample trait 1")
traits.assign(object.tBuffalo,"sample trait 1")
traits.assign(object.tWheat,"sample trait 1")
traits.assign(object.tGrassland,"sample trait 1")
traits.assign(object.tForest,"sample trait 1")
traits.assign(object.tPheasant,"sample trait 1")
traits.assign(object.tSilk,"sample trait 1")
traits.assign(object.tHills,"sample trait 1")
traits.assign(object.tCoal,"sample trait 1")
traits.assign(object.tWine,"sample trait 1")
traits.assign(object.tMountains,"sample trait 1")
traits.assign(object.tGold,"sample trait 1")
traits.assign(object.tIron,"sample trait 1")
traits.assign(object.tTundra,"sample trait 1")
traits.assign(object.tGame,"sample trait 1")
traits.assign(object.tFurs,"sample trait 1")
traits.assign(object.tGlacier,"sample trait 1")
traits.assign(object.tIvory,"sample trait 1")
traits.assign(object.tGlacierOil,"sample trait 1")
traits.assign(object.tSwamp,"sample trait 1")
traits.assign(object.tPeat,"sample trait 1")
traits.assign(object.tSpice,"sample trait 1")
traits.assign(object.tJungle,"sample trait 1")
traits.assign(object.tGems,"sample trait 1")
traits.assign(object.tFruit,"sample trait 1")
traits.assign(object.tOcean,"sample trait 1")
traits.assign(object.tFish,"sample trait 1")
traits.assign(object.tWhales,"sample trait 1")

return {}

