 
// This file is to support autoCanBuild.html, and possibly others.
// It provides a means of accessing relevant scenario information in order
// to build code.

// Unit Types
const unitList = [
	{name:"Settlers", id:0,code:"object.uSettlers"},
	{name:"Engineers", id:1,code:"object.uEngineers"},
	{name:"Warriors", id:2,code:"object.uWarriors"},
	{name:"Phalanx", id:3,code:"object.uPhalanx"},
	{name:"Archers", id:4,code:"object.uArchers"},
	{name:"Legion", id:5,code:"object.uLegion"},
	{name:"Pikemen", id:6,code:"object.uPikemen"},
	{name:"Musketeers", id:7,code:"object.uMusketeers"},
	{name:"Fanatics", id:8,code:"object.uFanatics"},
	{name:"Partisans", id:9,code:"object.uPartisans"},
	{name:"Alpine Troops", id:10,code:"object.uAlpineTroops"},
	{name:"Riflemen", id:11,code:"object.uRiflemen"},
	{name:"Marines", id:12,code:"object.uMarines"},
	{name:"Paratroopers", id:13,code:"object.uParatroopers"},
	{name:"Mech. Inf.", id:14,code:"object.uMechInf"},
	{name:"Horsemen", id:15,code:"object.uHorsemen"},
	{name:"Chariot", id:16,code:"object.uChariot"},
	{name:"Elephant", id:17,code:"object.uElephant"},
	{name:"Crusaders", id:18,code:"object.uCrusaders"},
	{name:"Knights", id:19,code:"object.uKnights"},
	{name:"Dragoons", id:20,code:"object.uDragoons"},
	{name:"Cavalry", id:21,code:"object.uCavalry"},
	{name:"Armor", id:22,code:"object.uArmor"},
	{name:"Catapult", id:23,code:"object.uCatapult"},
	{name:"Cannon", id:24,code:"object.uCannon"},
	{name:"Artillery", id:25,code:"object.uArtillery"},
	{name:"Howitzer", id:26,code:"object.uHowitzer"},
	{name:"Fighter", id:27,code:"object.uFighter"},
	{name:"Bomber", id:28,code:"object.uBomber"},
	{name:"Helicopter", id:29,code:"object.uHelicopter"},
	{name:"Stlth Ftr.", id:30,code:"object.uStlthFtr"},
	{name:"Stlth Bmbr.", id:31,code:"object.uStlthBmbr"},
	{name:"Trireme", id:32,code:"object.uTrireme"},
	{name:"Caravel", id:33,code:"object.uCaravel"},
	{name:"Galleon", id:34,code:"object.uGalleon"},
	{name:"Frigate", id:35,code:"object.uFrigate"},
	{name:"Ironclad", id:36,code:"object.uIronclad"},
	{name:"Destroyer", id:37,code:"object.uDestroyer"},
	{name:"Cruiser", id:38,code:"object.uCruiser"},
	{name:"Aegis Cruiser", id:39,code:"object.uAegisCruiser"},
	{name:"Battleship", id:40,code:"object.uBattleship"},
	{name:"Submarine", id:41,code:"object.uSubmarine"},
	{name:"Carrier", id:42,code:"object.uCarrier"},
	{name:"Transport", id:43,code:"object.uTransport"},
	{name:"Cruise Msl.", id:44,code:"object.uCruiseMsl"},
	{name:"Nuclear Msl.", id:45,code:"object.uNuclearMsl"},
	{name:"Diplomat", id:46,code:"object.uDiplomat"},
	{name:"Spy", id:47,code:"object.uSpy"},
	{name:"Caravan", id:48,code:"object.uCaravan"},
	{name:"Freight", id:49,code:"object.uFreight"},
	{name:"Explorer", id:50,code:"object.uExplorer"},
	{name:"Modern Armor", id:51,code:"object.uModernArmor"},
	{name:"Flak Canon", id:52,code:"object.uFlakCanon"},
	{name:"Extra Air", id:53,code:"object.uExtraAir"},
	{name:"not used a", id:54,code:"object.unotuseda"},
	{name:"not used b", id:55,code:"object.unotusedb"},
	{name:"not used c", id:56,code:"object.unotusedc"},
	{name:"not used d", id:57,code:"object.unotusedd"},
	{name:"not used e", id:58,code:"object.unotusede"},
	{name:"not used f", id:59,code:"object.unotusedf"},
	{name:"not used g", id:60,code:"object.unotusedg"},
	{name:"not used h", id:61,code:"object.unotusedh"},
	{name:"not used i", id:62,code:"object.unotusedi"},
	{name:"not used j", id:63,code:"object.unotusedj"},
	{name:"not used k", id:64,code:"object.unotusedk"},
	{name:"not used l", id:65,code:"object.unotusedl"},
	{name:"not used m", id:66,code:"object.unotusedm"},
	{name:"not used n", id:67,code:"object.unotusedn"},
	{name:"not used o", id:68,code:"object.unotusedo"},
	{name:"not used p", id:69,code:"object.unotusedp"},
	{name:"not used q", id:70,code:"object.unotusedq"},
	{name:"not used r", id:71,code:"object.unotusedr"},
	{name:"not used s", id:72,code:"object.unotuseds"},
	{name:"not used t", id:73,code:"object.unotusedt"},
	{name:"not used u", id:74,code:"object.unotusedu"},
	{name:"not used v", id:75,code:"object.unotusedv"},
	{name:"not used w", id:76,code:"object.unotusedw"},
	{name:"not used x", id:77,code:"object.unotusedx"},
	{name:"not used y", id:78,code:"object.unotusedy"},
	{name:"not used z", id:79,code:"object.unotusedz"},
]

// Tribes/Players
const tribeList = [
	{name:"Barbarians", id:0,code:"object.pBarbarians"},
	{name:"Romans", id:1,code:"object.pRomans"},
	{name:"Carthaginians", id:2,code:"object.pCarthaginians"},
	{name:"Macedonian Greeks", id:3,code:"object.pMacedonianGreeks"},
	{name:"Ptolemaic Greeks", id:4,code:"object.pPtolemaicGreeks"},
	{name:"Seleucid Greeks", id:5,code:"object.pSeleucidGreeks"},
	{name:"Ind. Greeks and Allies", id:6,code:"object.pIndGreeksandAllies"},
	{name:"Celts", id:7,code:"object.pCelts"},
]

// Improvements
const improvementList = [
	{name:"Nothing", id:0,code:"object.iNothing"},
	{name:"Palace", id:1,code:"object.iPalace"},
	{name:"Barracks", id:2,code:"object.iBarracks"},
	{name:"Granary", id:3,code:"object.iGranary"},
	{name:"Temple", id:4,code:"object.iTemple"},
	{name:"MarketPlace", id:5,code:"object.iMarketPlace"},
	{name:"Library", id:6,code:"object.iLibrary"},
	{name:"Courthouse", id:7,code:"object.iCourthouse"},
	{name:"City Walls", id:8,code:"object.iCityWalls"},
	{name:"Aqueduct", id:9,code:"object.iAqueduct"},
	{name:"Bank", id:10,code:"object.iBank"},
	{name:"Cathedral", id:11,code:"object.iCathedral"},
	{name:"University", id:12,code:"object.iUniversity"},
	{name:"Mass Transit", id:13,code:"object.iMassTransit"},
	{name:"Colosseum", id:14,code:"object.iColosseum"},
	{name:"Factory", id:15,code:"object.iFactory"},
	{name:"Manufacturing Plant", id:16,code:"object.iManufacturingPlant"},
	{name:"SDI Defense", id:17,code:"object.iSDIDefense"},
	{name:"Recycling Center", id:18,code:"object.iRecyclingCenter"},
	{name:"Power Plant", id:19,code:"object.iPowerPlant"},
	{name:"Hydro Plant", id:20,code:"object.iHydroPlant"},
	{name:"Nuclear Plant", id:21,code:"object.iNuclearPlant"},
	{name:"Stock Exchange", id:22,code:"object.iStockExchange"},
	{name:"Sewer System", id:23,code:"object.iSewerSystem"},
	{name:"Supermarket", id:24,code:"object.iSupermarket"},
	{name:"Superhighways", id:25,code:"object.iSuperhighways"},
	{name:"Research Lab", id:26,code:"object.iResearchLab"},
	{name:"SAM Battery", id:27,code:"object.iSAMBattery"},
	{name:"Coastal Fortress", id:28,code:"object.iCoastalFortress"},
	{name:"Solar Plant", id:29,code:"object.iSolarPlant"},
	{name:"Harbor", id:30,code:"object.iHarbor"},
	{name:"Offshore Platform", id:31,code:"object.iOffshorePlatform"},
	{name:"Airport", id:32,code:"object.iAirport"},
	{name:"Police Station", id:33,code:"object.iPoliceStation"},
	{name:"Port Facility", id:34,code:"object.iPortFacility"},
	{name:"Transporter", id:35,code:"object.iTransporter"},
]

// Wonders
const wonderList = [
	{name:"Pyramids", id:0,code:"object.wPyramids"},
	{name:"Hanging Gardens", id:1,code:"object.wHangingGardens"},
	{name:"Colossus", id:2,code:"object.wColossus"},
	{name:"Lighthouse", id:3,code:"object.wLighthouse"},
	{name:"Great Library", id:4,code:"object.wGreatLibrary"},
	{name:"Oracle", id:5,code:"object.wOracle"},
	{name:"Great Wall", id:6,code:"object.wGreatWall"},
	{name:"Sun Tzu's War Academy", id:7,code:"object.wSunTzusWarAcademy"},
	{name:"King Richard's Crusade", id:8,code:"object.wKingRichardsCrusade"},
	{name:"Marco Polo's Embassy", id:9,code:"object.wMarcoPolosEmbassy"},
	{name:"Michelangelo's Chapel", id:10,code:"object.wMichelangelosChapel"},
	{name:"Copernicus' Observatory", id:11,code:"object.wCopernicusObservatory"},
	{name:"Magellan's Expedition", id:12,code:"object.wMagellansExpedition"},
	{name:"Shakespeare's Theater", id:13,code:"object.wShakespearesTheater"},
	{name:"Leonardo's Workshop", id:14,code:"object.wLeonardosWorkshop"},
	{name:"J. S. Bach's Cathedral", id:15,code:"object.wJSBachsCathedral"},
	{name:"Isaac Newton's College", id:16,code:"object.wIsaacNewtonsCollege"},
	{name:"Adam Smith's Trading Co.", id:17,code:"object.wAdamSmithsTradingCo"},
	{name:"Darwin's Voyage", id:18,code:"object.wDarwinsVoyage"},
	{name:"Statue of Liberty", id:19,code:"object.wStatueofLiberty"},
	{name:"Eiffel Tower", id:20,code:"object.wEiffelTower"},
	{name:"Women's Suffrage", id:21,code:"object.wWomensSuffrage"},
	{name:"Hoover Dam", id:22,code:"object.wHooverDam"},
	{name:"Manhattan Project", id:23,code:"object.wManhattanProject"},
	{name:"United Nations", id:24,code:"object.wUnitedNations"},
	{name:"Apollo Program", id:25,code:"object.wApolloProgram"},
	{name:"SETI Program", id:26,code:"object.wSETIProgram"},
	{name:"Cure for Cancer", id:27,code:"object.wCureforCancer"},
]

// Advances
const advancesList = [
	{name:"Advanced Flight", id:0,code:"object.aAdvancedFlight"},
	{name:"Alphabet", id:1,code:"object.aAlphabet"},
	{name:"Amphibious Warfare", id:2,code:"object.aAmphibiousWarfare"},
	{name:"Astronomy", id:3,code:"object.aAstronomy"},
	{name:"Atomic Theory", id:4,code:"object.aAtomicTheory"},
	{name:"Automobile", id:5,code:"object.aAutomobile"},
	{name:"Banking", id:6,code:"object.aBanking"},
	{name:"Bridge Building", id:7,code:"object.aBridgeBuilding"},
	{name:"Bronze Working", id:8,code:"object.aBronzeWorking"},
	{name:"Ceremonial Burial", id:9,code:"object.aCeremonialBurial"},
	{name:"Chemistry", id:10,code:"object.aChemistry"},
	{name:"Chivalry", id:11,code:"object.aChivalry"},
	{name:"Code of Laws", id:12,code:"object.aCodeofLaws"},
	{name:"Combined Arms", id:13,code:"object.aCombinedArms"},
	{name:"Combustion", id:14,code:"object.aCombustion"},
	{name:"Communism", id:15,code:"object.aCommunism"},
	{name:"Computers", id:16,code:"object.aComputers"},
	{name:"Conscription", id:17,code:"object.aConscription"},
	{name:"Construction", id:18,code:"object.aConstruction"},
	{name:"Corporation", id:19,code:"object.aCorporation"},
	{name:"Currency", id:20,code:"object.aCurrency"},
	{name:"Democracy", id:21,code:"object.aDemocracy"},
	{name:"Economics", id:22,code:"object.aEconomics"},
	{name:"Electricity", id:23,code:"object.aElectricity"},
	{name:"Electronics", id:24,code:"object.aElectronics"},
	{name:"Engineering", id:25,code:"object.aEngineering"},
	{name:"Environmentalism", id:26,code:"object.aEnvironmentalism"},
	{name:"Espionage", id:27,code:"object.aEspionage"},
	{name:"Explosives", id:28,code:"object.aExplosives"},
	{name:"Feudalism", id:29,code:"object.aFeudalism"},
	{name:"Flight", id:30,code:"object.aFlight"},
	{name:"Fundamentalism", id:31,code:"object.aFundamentalism"},
	{name:"Fusion Power", id:32,code:"object.aFusionPower"},
	{name:"Genetic Engineering", id:33,code:"object.aGeneticEngineering"},
	{name:"Guerrilla Warfare", id:34,code:"object.aGuerrillaWarfare"},
	{name:"Gunpowder", id:35,code:"object.aGunpowder"},
	{name:"Horseback Riding", id:36,code:"object.aHorsebackRiding"},
	{name:"Industrialization", id:37,code:"object.aIndustrialization"},
	{name:"Invention", id:38,code:"object.aInvention"},
	{name:"Iron Working", id:39,code:"object.aIronWorking"},
	{name:"Labor Union", id:40,code:"object.aLaborUnion"},
	{name:"Laser", id:41,code:"object.aLaser"},
	{name:"Leadership", id:42,code:"object.aLeadership"},
	{name:"Literacy", id:43,code:"object.aLiteracy"},
	{name:"Machine Tools", id:44,code:"object.aMachineTools"},
	{name:"Magnetism", id:45,code:"object.aMagnetism"},
	{name:"Map Making", id:46,code:"object.aMapMaking"},
	{name:"Masonry", id:47,code:"object.aMasonry"},
	{name:"Mass Production", id:48,code:"object.aMassProduction"},
	{name:"Mathematics", id:49,code:"object.aMathematics"},
	{name:"Medicine", id:50,code:"object.aMedicine"},
	{name:"Metallurgy", id:51,code:"object.aMetallurgy"},
	{name:"Miniaturization", id:52,code:"object.aMiniaturization"},
	{name:"Mobile Warfare", id:53,code:"object.aMobileWarfare"},
	{name:"Monarchy", id:54,code:"object.aMonarchy"},
	{name:"Monotheism", id:55,code:"object.aMonotheism"},
	{name:"Mysticism", id:56,code:"object.aMysticism"},
	{name:"Navigation", id:57,code:"object.aNavigation"},
	{name:"Nuclear Fission", id:58,code:"object.aNuclearFission"},
	{name:"Nuclear Power", id:59,code:"object.aNuclearPower"},
	{name:"Philosophy", id:60,code:"object.aPhilosophy"},
	{name:"Physics", id:61,code:"object.aPhysics"},
	{name:"Plastics", id:62,code:"object.aPlastics"},
	{name:"Plumbing", id:63,code:"object.aPlumbing"},
	{name:"Polytheism", id:64,code:"object.aPolytheism"},
	{name:"Pottery", id:65,code:"object.aPottery"},
	{name:"Radio", id:66,code:"object.aRadio"},
	{name:"Railroad", id:67,code:"object.aRailroad"},
	{name:"Recycling", id:68,code:"object.aRecycling"},
	{name:"Refining", id:69,code:"object.aRefining"},
	{name:"Refrigeration", id:70,code:"object.aRefrigeration"},
	{name:"Republic", id:71,code:"object.aRepublic"},
	{name:"Robotics", id:72,code:"object.aRobotics"},
	{name:"Rocketry", id:73,code:"object.aRocketry"},
	{name:"Sanitation", id:74,code:"object.aSanitation"},
	{name:"Seafaring", id:75,code:"object.aSeafaring"},
	{name:"Space Flight", id:76,code:"object.aSpaceFlight"},
	{name:"Stealth", id:77,code:"object.aStealth"},
	{name:"Steam Engine", id:78,code:"object.aSteamEngine"},
	{name:"Steel", id:79,code:"object.aSteel"},
	{name:"Superconductor", id:80,code:"object.aSuperconductor"},
	{name:"Tactics", id:81,code:"object.aTactics"},
	{name:"Theology", id:82,code:"object.aTheology"},
	{name:"Theory of Gravity", id:83,code:"object.aTheoryofGravity"},
	{name:"Trade", id:84,code:"object.aTrade"},
	{name:"University", id:85,code:"object.aUniversity"},
	{name:"Warrior Code", id:86,code:"object.aWarriorCode"},
	{name:"Wheel", id:87,code:"object.aWheel"},
	{name:"Writing", id:88,code:"object.aWriting"},
	{name:"Future Technology", id:89,code:"object.aFutureTechnology"},
	{name:"User Def Tech A", id:90,code:"object.aUserDefTechA"},
	{name:"User Def Tech B", id:91,code:"object.aUserDefTechB"},
	{name:"User Def Tech C", id:92,code:"object.aUserDefTechC"},
	{name:"Extra Advance 1", id:93,code:"object.aExtraAdvance1"},
	{name:"Extra Advance 2", id:94,code:"object.aExtraAdvance2"},
	{name:"Extra Advance 3", id:95,code:"object.aExtraAdvance3"},
	{name:"Extra Advance 4", id:96,code:"object.aExtraAdvance4"},
	{name:"Extra Advance 5", id:97,code:"object.aExtraAdvance5"},
	{name:"Extra Advance 6", id:98,code:"object.aExtraAdvance6"},
	{name:"Extra Advance 7", id:99,code:"object.aExtraAdvance7"},
]

// Cities
const cityLocationList = [
	{name:"Rome", id:0, tribeId:1, code:"object.lRome", xyz:[40,28,0]},
	{name:"Carthage", id:1, tribeId:2, code:"object.lCarthage", xyz:[36,62,0]},
	{name:"Pella", id:2, tribeId:3, code:"object.lPella", xyz:[57,31,0]},
	{name:"Alexandria", id:3, tribeId:4, code:"object.lAlexandria", xyz:[69,69,0]},
	{name:"Antioch", id:4, tribeId:5, code:"object.lAntioch", xyz:[78,46,0]},
	{name:"Syracuse", id:5, tribeId:6, code:"object.lSyracuse", xyz:[44,56,0]},
	{name:"La Tene", id:6, tribeId:7, code:"object.lLaTene", xyz:[35,1,0]},
	{name:"Lilybaeum", id:7, tribeId:2, code:"object.lLilybaeum", xyz:[41,53,0]},
	{name:"Gades", id:8, tribeId:2, code:"object.lGades", xyz:[3,57,0]},
	{name:"Caralis", id:9, tribeId:2, code:"object.lCaralis", xyz:[36,44,0]},
	{name:"Leptis", id:10, tribeId:2, code:"object.lLeptis", xyz:[40,72,0]},
	{name:"Hippo Regius", id:11, tribeId:2, code:"object.lHippoRegius", xyz:[31,61,0]},
	{name:"Cyrene", id:12, tribeId:4, code:"object.lCyrene", xyz:[52,68,0]},
	{name:"Memphis", id:13, tribeId:4, code:"object.lMemphis", xyz:[72,74,0]},
	{name:"Raphia", id:14, tribeId:4, code:"object.lRaphia", xyz:[77,67,0]},
	{name:"Heliopolis", id:15, tribeId:4, code:"object.lHeliopolis", xyz:[73,71,0]},
	{name:"Massilia", id:16, tribeId:6, code:"object.lMassilia", xyz:[31,17,0]},
	{name:"Pergamum", id:17, tribeId:6, code:"object.lPergamum", xyz:[65,33,0]},
	{name:"Rhodes", id:18, tribeId:6, code:"object.lRhodes", xyz:[68,46,0]},
	{name:"Athens", id:19, tribeId:3, code:"object.lAthens", xyz:[62,44,0]},
	{name:"Sparta", id:20, tribeId:7, code:"object.lSparta", xyz:[60,50,0]},
	{name:"Galatia", id:21, tribeId:7, code:"object.lGalatia", xyz:[71,31,0]},
	{name:"Demetrias", id:22, tribeId:3, code:"object.lDemetrias", xyz:[59,37,0]},
	{name:"Neapolis", id:23, tribeId:1, code:"object.lNeapolis", xyz:[45,37,0]},
	{name:"Abdera", id:24, tribeId:3, code:"object.lAbdera", xyz:[61,27,0]},
	{name:"Braunsberg", id:25, tribeId:7, code:"object.lBraunsberg", xyz:[55,13,0]},
	{name:"Heraclea", id:26, tribeId:1, code:"object.lHeraclea", xyz:[49,43,0]},
	{name:"Sena", id:27, tribeId:1, code:"object.lSena", xyz:[42,22,0]},
	{name:"Milan", id:28, tribeId:7, code:"object.lMilan", xyz:[38,12,0]},
	{name:"Numantia", id:29, tribeId:7, code:"object.lNumantia", xyz:[11,27,0]},
	{name:"Miletus", id:30, tribeId:5, code:"object.lMiletus", xyz:[67,39,0]},
	{name:"Seleucia", id:31, tribeId:5, code:"object.lSeleucia", xyz:[88,52,0]},
	{name:"Taras", id:32, tribeId:6, code:"object.lTaras", xyz:[52,44,0]},
	{name:"Pisae", id:33, tribeId:1, code:"object.lPisae", xyz:[38,20,0]},
	{name:"Hecatompylos", id:34, tribeId:3, code:"object.lHecatompylos", xyz:[98,38,0]},
	{name:"Damascus", id:35, tribeId:5, code:"object.lDamascus", xyz:[82,54,0]},
	{name:"Nisibis", id:36, tribeId:5, code:"object.lNisibis", xyz:[84,36,0]},
	{name:"Delphi", id:37, tribeId:6, code:"object.lDelphi", xyz:[57,43,0]},
	{name:"Tarracina", id:38, tribeId:1, code:"object.lTarracina", xyz:[41,33,0]},
]
// Flags
// (flags with the moduleName field specified won't appear here, but those don't work with
// canBuildSettings.lua anyway)
const flagsList = [
]
// Counter Keys
const countersList = [
]


const fullList = {}
const fullArray = [...unitList,...tribeList,...improvementList,...wonderList,...cityLocationList,...advancesList,...flagsList,...countersList]

fullArray.map( value => {
            fullList[value.code] = value;
    });


const testObject = false;

